﻿using System.Collections.Generic;

namespace Correo.Abstractions
{
    public record EmailMessage
    {
        public string Subject { get; init; }
        public string Body { get; init; }
        public MailAddress From { get; set; }
        public IEnumerable<MailAddress> To { get; init; }
        public IEnumerable<MailAddress> Cc { get; init; }
        public IEnumerable<MailAddress> Bcc { get; init; }
        public bool IsBodyHtml { get; init; }

        public record MailAddress(string Address, string DisplayName);
    }
}
