﻿using System.Text.RegularExpressions;

namespace Correo.Application.Utils
{
    internal static class Validations
    {
        public static bool IsEmail(string email)
        {
            var pattern = @"^[\w!#$%&'*+\-/=?\^_`{|}~]+(\.[\w!#$%&'*+\-/=?\^_`{|}~]+)*" + "@" + @"((([\-\w]+\.)+[a-zA-Z]{2,4})|(([0-9]{1,3}\.){3}[0-9]{1,3}))$";
            var reg = new Regex(pattern);
            var valid = reg.IsMatch(email);
            return valid;
        }
    }
}
